Index: frontend/src/components/AddProductForm.js
===================================================================
--- frontend/src/components/AddProductForm.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/components/AddProductForm.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
@@ -0,0 +1,345 @@
+import axios from "axios";
+import React, { useState } from "react";
+import Button from "react-bootstrap/Button";
+import Form from "react-bootstrap/Form";
+import { toast } from "react-toastify";
+
+function AddProductForm() {
+  const [name, setName] = useState("");
+  const [slug, setSlug] = useState("");
+  const [category, setCategory] = useState("dnevna");
+  const [subCategory, setSubCategory] = useState("");
+  const [description, setDescription] = useState("");
+  const [price, setPrice] = useState("");
+  const [priceMontaza, setPriceMontaza] = useState("");
+  const [countInStock, setCountInStock] = useState("");
+  const [image, setImage] = useState("");
+  const [sideImage, setSideImage] = useState("");
+  const [sideImage2, setSideImage2] = useState("");
+  const [dimension, setDimension] = useState("");
+  const [scheme, setScheme] = useState("");
+  const [message, setMessage] = useState("");
+
+  const onChangeImage = (e) => {
+    setImage(e.target.files[0]);
+  };
+  const onChangeSideImage = (e) => {
+    setSideImage(e.target.files[0]);
+  };
+  const onChangeSideImage2 = (e) => {
+    setSideImage2(e.target.files[0]);
+  };
+  const onChangeDimension = (e) => {
+    setDimension(e.target.files[0]);
+  };
+  const onChangeScheme = (e) => {
+    setScheme(e.target.files[0]);
+  };
+
+  const submitHandler = async (e) => {
+    e.preventDefault();
+
+    const formData = new FormData();
+
+    formData.append("name", name);
+    formData.append("slug", slug);
+    formData.append("category", category);
+    formData.append("subCategory", subCategory);
+    formData.append("description", description);
+    formData.append("price", price);
+    formData.append("priceMontaza", priceMontaza);
+    formData.append("countInStock", countInStock);
+    formData.append("image", image);
+    formData.append("sideImage", sideImage);
+    formData.append("sideImage2", sideImage2);
+    formData.append("dimension", dimension);
+    formData.append("scheme", scheme);
+
+    try {
+      const result = await axios.post("/api/products/add", formData);
+      if (result) toast.success("Product Added");
+      return;
+    } catch (error) {
+      console.log(error);
+    }
+  };
+
+  return (
+    <div className="taskContainer">
+      <h1>Додади нов продукт</h1>
+      <Form
+        onSubmit={submitHandler}
+        encType="multipart/form-data"
+        className="newProductFormCointainer"
+      >
+        <div className="firstRow" style={{ display: "flex" }}>
+          <Form.Group>
+            <Form.Label>Име</Form.Label>
+            <Form.Control
+              value={name}
+              onChange={(e) => setName(e.target.value)}
+              required
+            ></Form.Control>
+          </Form.Group>
+          <Form.Group>
+            <Form.Label>Слуг</Form.Label>
+            <Form.Control
+              value={slug}
+              onChange={(e) => setSlug(e.target.value)}
+              required
+            ></Form.Control>
+          </Form.Group>
+          <Form.Group>
+            <Form.Label>Категорија</Form.Label>
+            <Form.Select onChange={(e) => setCategory(e.target.value)}>
+              <option value={"dnevna"}>Дневна</option>
+              <option value={"spalna"}>Спална</option>
+              <option value={"kancelarija"}>Канцеларија</option>
+              <option value={"hodnik"}>Ходник</option>
+              <option value={"gradina"}>Градина</option>
+              <option value={"trpezarija"}>Трпезарија</option>
+              <option value={"kujna"}>Кујна</option>
+              <option value={"detska"}>Детска</option>
+            </Form.Select>
+          </Form.Group>
+          <Form.Group>
+            <Form.Label>Подкатегорија</Form.Label>
+            <Form.Select onChange={(e) => setSubCategory(e.target.value)}>
+              <option value="default">Подкатегорија</option>
+              {category === "dnevna" && (
+                <option value="agolni-garnituri">Аголни Гарнитури</option>
+              )}
+              {category === "dnevna" && <option value="sofi">Софи</option>}
+              {category === "dnevna" && (
+                <option value="fotelji">Фотелји</option>
+              )}
+              {category === "dnevna" && (
+                <option value="taburetki">Табуретки</option>
+              )}
+              {category === "dnevna" && (
+                <option value="klub-masi">Клуб маси</option>
+              )}
+              {category === "dnevna" && (
+                <option value="tv-komodi">ТВ комоди</option>
+              )}
+              {category === "dnevna" && <option value="komodi">Комоди</option>}
+              {category === "spalna" && (
+                <option value="spalni-kompleti">Спални Комплети</option>
+              )}
+              {category === "spalna" && <option value="lezai">Лежаи</option>}
+              {category === "spalna" && (
+                <option value="kreveti">Кревети</option>
+              )}
+              {category === "spalna" && (
+                <option value="plakari">Плакари</option>
+              )}
+              {category === "spalna" && (
+                <option value="nokni-skafcinja">Ноќни шкафчиња</option>
+              )}
+              {category === "spalna" && (
+                <option value="toaletni-masi">Тоалетни маси</option>
+              )}
+              {category === "kancelarija" && (
+                <option value="biroa">Бироа</option>
+              )}
+              {category === "kancelarija" && (
+                <option value="kancelariski-stolovi">
+                  Канцелариски столови
+                </option>
+              )}
+              {category === "kancelarija" && (
+                <option value="gejmerski-stolovi">Гејмерски столови</option>
+              )}
+              {category === "kancelarija" && (
+                <option value="kancelariski-skafovi">
+                  Канцелариски шкафови
+                </option>
+              )}
+              {category === "hodnik" && (
+                <option value="skafovi-za-cevli">Шкафови за чевли</option>
+              )}
+              {category === "hodnik" && (
+                <option value="zakacalki-i-ogledala">
+                  Закачалки и огледала
+                </option>
+              )}
+              {category === "hodnik" && (
+                <option value="kolekcii-za-hodnik">Колекции за ходник</option>
+              )}
+              {category === "gradina" && (
+                <option value="gradinarski-kompleti">
+                  Градинарски комплети
+                </option>
+              )}
+              {category === "gradina" && (
+                <option value="gradinarski-lulki">Градинарски лулки</option>
+              )}
+              {category === "gradina" && (
+                <option value="gradinarski-cadori">Градинарски чадори</option>
+              )}
+              {category === "gradina" && (
+                <option value="gradinarski-masi">Градинарски маси</option>
+              )}
+              {category === "gradina" && (
+                <option value="gradinarski-stolovi">Градинарски столови</option>
+              )}
+              {category === "gradina" && (
+                <option value="gradinarsko-osvetluvanje">
+                  Градинарско осветлување
+                </option>
+              )}
+              {category === "trpezarija" && (
+                <option value="trpezariski-masi">Трпезариски маси</option>
+              )}
+              {category === "trpezarija" && (
+                <option value="trpezariski-stolovi">Трпезариски столови</option>
+              )}
+              {category === "trpezarija" && (
+                <option value="kujnski-garnituri">Кујнски гарнитури</option>
+              )}
+              {category === "trpezarija" && (
+                <option value="bar-stolovi-i-masi">Бар столови и маси</option>
+              )}
+              {category === "kujna" && (
+                <option value="kujnski-agolni-garnituri">
+                  Кујнски аголни гарнитури
+                </option>
+              )}
+              {category === "kujna" && (
+                <option value="standardni-kujni">Стандардни кујни</option>
+              )}
+              {category === "detska" && (
+                <option value="kolekcii-za-detska-soba">
+                  Колекции за детска соба
+                </option>
+              )}
+              {category === "detska" && (
+                <option value="detski-biroa">Детски бироа</option>
+              )}
+              {category === "detska" && (
+                <option value="detski-lezai">Детски лежаи</option>
+              )}
+            </Form.Select>
+          </Form.Group>
+        </div>
+        <div className="secondRow">
+          <Form.Group style={{ width: "60%", marginTop: "20px" }}>
+            <Form.Label>Опис</Form.Label>
+            <Form.Control
+              id="textArea"
+              value={description}
+              onChange={(e) => setDescription(e.target.value)}
+              as="textarea"
+              required
+            ></Form.Control>
+          </Form.Group>
+          <div
+            style={{
+              display: "flex",
+              flexDirection: "column",
+              alignItems: "center",
+              justifyContent: "center",
+              width: "40%",
+            }}
+          >
+            <Form.Group style={{ marginTop: "20px" }}>
+              <Form.Label>Цена</Form.Label>
+              <Form.Control
+                value={price}
+                onChange={(e) => setPrice(e.target.value)}
+                type="number"
+                required
+              ></Form.Control>
+            </Form.Group>
+            <Form.Group style={{ marginTop: "10px" }}>
+              <Form.Label>Цена Монтажа</Form.Label>
+              <Form.Control
+                value={priceMontaza}
+                onChange={(e) => setPriceMontaza(e.target.value)}
+                type="number"
+                required
+              ></Form.Control>
+            </Form.Group>
+            <Form.Group style={{ marginTop: "10px" }}>
+              <Form.Label>Залиха</Form.Label>
+              <Form.Control
+                value={countInStock}
+                onChange={(e) => setCountInStock(e.target.value)}
+                type="number"
+                required
+              ></Form.Control>
+            </Form.Group>
+          </div>
+        </div>
+        <div className="thirdRow">
+          <div
+            style={{
+              display: "flex",
+              flexDirection: "column",
+              alignItems: "center",
+              justifyContent: "center",
+            }}
+          >
+            <Form.Group>
+              <Form.Label>Главна слика</Form.Label>
+              <Form.Control
+                type="file"
+                name="image"
+                onChange={onChangeImage}
+                required
+              ></Form.Control>
+            </Form.Group>
+
+            <Form.Group style={{ marginTop: "10px" }}>
+              <Form.Label>Споредна слика бр.1</Form.Label>
+              <Form.Control
+                type="file"
+                name="sideImage"
+                onChange={onChangeSideImage}
+                required
+              ></Form.Control>
+            </Form.Group>
+
+            <Form.Group style={{ marginTop: "10px" }}>
+              <Form.Label>Споредна слика бр.2</Form.Label>
+              <Form.Control
+                type="file"
+                name="sideImage2"
+                onChange={onChangeSideImage2}
+                required
+              ></Form.Control>
+            </Form.Group>
+          </div>
+          <div>
+            <Form.Group>
+              <Form.Label>Слика со димензии</Form.Label>
+              <Form.Control
+                type="file"
+                name="dimension"
+                onChange={onChangeDimension}
+                required
+              ></Form.Control>
+            </Form.Group>
+
+            <Form.Group style={{ marginTop: "10px" }}>
+              <Form.Label>Слика од шема</Form.Label>
+              <Form.Control
+                type="file"
+                name="scheme"
+                onChange={onChangeScheme}
+                required
+              ></Form.Control>
+            </Form.Group>
+          </div>
+        </div>
+        <div className="submitBtnContainer">
+          <Button variant="danger" size="lg" type="submit">
+            Додади
+          </Button>
+        </div>
+      </Form>
+    </div>
+  );
+}
+
+export default AddProductForm;
Index: frontend/src/components/Header.js
===================================================================
--- frontend/src/components/Header.js	(revision ee056633af77f8879114a594a34f49f87fdf0765)
+++ frontend/src/components/Header.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
@@ -518,5 +518,5 @@
       <div className="header__right">
         <div className="header__buttons">
-          {userInfo ? (
+          {userInfo && userInfo.isAdmin && (
             <NavDropdown
               title={
@@ -541,8 +541,8 @@
               <NavDropdown.Item
                 onClick={() => {
-                  navigate("/orderhistory");
+                  navigate("/admin/dashboard");
                 }}
               >
-                Нарачки
+                Dashboard
               </NavDropdown.Item>
 
@@ -556,5 +556,45 @@
               </NavDropdown.Item>
             </NavDropdown>
-          ) : (
+          )}
+          {userInfo && !userInfo.isAdmin && (
+            <NavDropdown
+              title={
+                <span>
+                  <AccountCircleIcon
+                    className="header__login"
+                    fontSize="large"
+                  />
+                  <p>{userInfo.name}</p>
+                </span>
+              }
+              id="basic-nav-dropdown"
+            >
+              <NavDropdown.Item
+                onClick={() => {
+                  navigate("/profile");
+                }}
+              >
+                Профил
+              </NavDropdown.Item>
+
+              <NavDropdown.Item
+                onClick={() => {
+                  navigate("/orderhistory");
+                }}
+              >
+                Нарачки
+              </NavDropdown.Item>
+
+              <NavDropdown.Divider />
+              <NavDropdown.Item
+                className="drowdown-item"
+                to="#signout"
+                onClick={signoutHandler}
+              >
+                Одјави се
+              </NavDropdown.Item>
+            </NavDropdown>
+          )}
+          {!userInfo && (
             <Link
               to={"/signin"}
Index: frontend/src/components/ListProducts.js
===================================================================
--- frontend/src/components/ListProducts.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
+++ frontend/src/components/ListProducts.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
@@ -0,0 +1,354 @@
+/*
+import axios from "axios";
+import React, { useEffect, useReducer, useState } from "react";
+import { useNavigate, useLocation } from "react-router-dom";
+import ListGroup from "react-bootstrap/ListGroup";
+import Button from "react-bootstrap/Button";
+import Form from "react-bootstrap/Form";
+import { getError } from "./utils";
+import { toast } from "react-toastify";
+import LoadingBox from "./LoadingBox";
+import MessageBox from "./MessageBox";
+import LinkContainer from "react-router-bootstrap/LinkContainer";
+
+const reducer = (state, action) => {
+  switch (action.type) {
+    case "FETCH_REQUEST":
+      return { ...state, loading: true };
+    case "FETCH_SUCCESS":
+      return {
+        ...state,
+        products: action.payload.products,
+        page: action.payload.page,
+        pages: action.payload.pages,
+        countProducts: action.payload.countProducts,
+        loading: false,
+      };
+    case "FETCH_FAIL":
+      return { ...state, loading: false, error: action.payload };
+    default:
+      return state;
+  }
+};
+
+function ListProducts() {
+  const navigate = useNavigate();
+  const { search } = useLocation();
+  const sp = new URLSearchParams(search);
+  const category = sp.get("category") || "all";
+  const query = sp.get("query") || "all";
+  const subCategory = sp.get("subCategory") || "all";
+  const name = sp.get("name") || "all";
+  const order = sp.get("order") || "newest";
+  const page = sp.get("page") || 1;
+
+  const [{ loading, error, products, pages, countProducts }, dispatch] =
+    useReducer(reducer, { loading: true, error: "" });
+
+  useEffect(() => {
+    const fetchData = async () => {
+      try {
+        const { data } = await axios.get(
+          `/api/products/search?page=${page}&query=${query}&category=${category}&subCategory=${subCategory}&order=${order}`
+        );
+        dispatch({ type: "FETCH_SUCCSS", payload: data });
+      } catch (err) {
+        dispatch({ type: "FETCH_FAIL", payload: getError(error) });
+      }
+    };
+    fetchData();
+  }, [category, order, page, query, subCategory, error]);
+  /*
+  const [categories, setCategories] = useState([]);
+  useEffect(() => {
+    const fetchCategories = async () => {
+      try {
+        const { data } = await axios.get(`api/products/categories`);
+        setCategories(data);
+      } catch (err) {
+        toast.error(getError(err));
+      }
+    };
+    fetchCategories();
+  }, [dispatch]);
+  
+  const getFilterUrl = (filter) => {
+    const filterPage = filter.page || page;
+    const filterCategorry = filter.category || category;
+    const filterQuery = filter.query || query;
+    const filterSubCategory = filter.subCategory || subCategory;
+    const sortOrder = filter.order || order;
+    return `/search?category=${filterCategorry}&query=${filterQuery}&subCategory=${filterSubCategory}&order=${sortOrder}&page=${filterPage}`;
+  };
+
+  return (
+    <div
+      style={{
+        display: "flex",
+        flexDirection: "column",
+        alignItems: "center",
+        justifyContent: "center",
+      }}
+    >
+      {loading ? (
+        <LoadingBox></LoadingBox>
+      ) : error ? (
+        <MessageBox varriant="danger">{error}</MessageBox>
+      ) : (
+        <div className="taskContainer">
+          <h1>Производи</h1>
+          <div className="filterContainer" style={{ width: "100%" }}>
+            <Form
+              id="fff"
+              style={{
+                display: "flex",
+                alignItems: "center",
+                justifyContent: "space-around",
+              }}
+            >
+              <Form.Group>
+                <Form.Control
+                  id="filterName"
+                  placeholder="Име"
+                  value={name}
+                  required
+                ></Form.Control>
+              </Form.Group>
+              <Form.Group>
+                <Form.Select
+                  value={category}
+                  onChange={(e) => {
+                    navigate(getFilterUrl({ category: e.target.value }));
+                  }}
+                >
+                  <option value="default">Категорија</option>
+                  <option value={"dnevna"}>Дневна</option>
+                  <option value={"spalna"}>Спална</option>
+                  <option value={"kancelarija"}>Канцеларија</option>
+                  <option value={"hodnik"}>Ходник</option>
+                  <option value={"gradina"}>Градина</option>
+                  <option value={"trpezarija"}>Трпезарија</option>
+                  <option value={"kujna"}>Кујна</option>
+                  <option value={"detska"}>Детска</option>
+                </Form.Select>
+              </Form.Group>
+              <Form.Group>
+                <Form.Select
+                  value={subCategory}
+                  onChange={(e) => {
+                    navigate(getFilterUrl({ subCategory: e.target.value }));
+                  }}
+                >
+                  <option value="default">Подкатегорија</option>
+
+                  {category === "dnevna" && (
+                    <option value="agolni-garnituri">Аголни Гарнитури</option>
+                  )}
+                  {category === "dnevna" && <option value="sofi">Софи</option>}
+                  {category === "dnevna" && (
+                    <option value="fotelji">Фотелји</option>
+                  )}
+                  {category === "dnevna" && (
+                    <option value="taburetki">Табуретки</option>
+                  )}
+                  {category === "dnevna" && (
+                    <option value="klub-masi">Клуб маси</option>
+                  )}
+                  {category === "dnevna" && (
+                    <option value="tv-komodi">ТВ комоди</option>
+                  )}
+                  {category === "dnevna" && (
+                    <option value="komodi">Комоди</option>
+                  )}
+                  {category === "spalna" && (
+                    <option value="spalni-kompleti">Спални Комплети</option>
+                  )}
+                  {category === "spalna" && (
+                    <option value="lezai">Лежаи</option>
+                  )}
+                  {category === "spalna" && (
+                    <option value="kreveti">Кревети</option>
+                  )}
+                  {category === "spalna" && (
+                    <option value="plakari">Плакари</option>
+                  )}
+                  {category === "spalna" && (
+                    <option value="nokni-skafcinja">Ноќни шкафчиња</option>
+                  )}
+                  {category === "spalna" && (
+                    <option value="toaletni-masi">Тоалетни маси</option>
+                  )}
+                  {category === "kancelarija" && (
+                    <option value="biroa">Бироа</option>
+                  )}
+                  {category === "kancelarija" && (
+                    <option value="kancelariski-stolovi">
+                      Канцелариски столови
+                    </option>
+                  )}
+                  {category === "kancelarija" && (
+                    <option value="gejmerski-stolovi">Гејмерски столови</option>
+                  )}
+                  {category === "kancelarija" && (
+                    <option value="kancelariski-skafovi">
+                      Канцелариски шкафови
+                    </option>
+                  )}
+                  {category === "hodnik" && (
+                    <option value="skafovi-za-cevli">Шкафови за чевли</option>
+                  )}
+                  {category === "hodnik" && (
+                    <option value="zakacalki-i-ogledala">
+                      Закачалки и огледала
+                    </option>
+                  )}
+                  {category === "hodnik" && (
+                    <option value="kolekcii-za-hodnik">
+                      Колекции за ходник
+                    </option>
+                  )}
+                  {category === "gradina" && (
+                    <option value="gradinarski-kompleti">
+                      Градинарски комплети
+                    </option>
+                  )}
+                  {category === "gradina" && (
+                    <option value="gradinarski-lulki">Градинарски лулки</option>
+                  )}
+                  {category === "gradina" && (
+                    <option value="gradinarski-cadori">
+                      Градинарски чадори
+                    </option>
+                  )}
+                  {category === "gradina" && (
+                    <option value="gradinarski-masi">Градинарски маси</option>
+                  )}
+                  {category === "gradina" && (
+                    <option value="gradinarski-stolovi">
+                      Градинарски столови
+                    </option>
+                  )}
+                  {category === "gradina" && (
+                    <option value="gradinarsko-osvetluvanje">
+                      Градинарско осветлување
+                    </option>
+                  )}
+                  {category === "trpezarija" && (
+                    <option value="trpezariski-masi">Трпезариски маси</option>
+                  )}
+                  {category === "trpezarija" && (
+                    <option value="trpezariski-stolovi">
+                      Трпезариски столови
+                    </option>
+                  )}
+                  {category === "trpezarija" && (
+                    <option value="kujnski-garnituri">Кујнски гарнитури</option>
+                  )}
+                  {category === "trpezarija" && (
+                    <option value="bar-stolovi-i-masi">
+                      Бар столови и маси
+                    </option>
+                  )}
+                  {category === "kujna" && (
+                    <option value="kujnski-agolni-garnituri">
+                      Кујнски аголни гарнитури
+                    </option>
+                  )}
+                  {category === "kujna" && (
+                    <option value="standardni-kujni">Стандардни кујни</option>
+                  )}
+                  {category === "detska" && (
+                    <option value="kolekcii-za-detska-soba">
+                      Колекции за детска соба
+                    </option>
+                  )}
+                  {category === "detska" && (
+                    <option value="detski-biroa">Детски бироа</option>
+                  )}
+                  {category === "detska" && (
+                    <option value="detski-lezai">Детски лежаи</option>
+                  )}
+                </Form.Select>
+              </Form.Group>
+              <Form.Group>
+                <Form.Select
+                  id="sortOrder"
+                  value={order}
+                  onChange={(e) => {
+                    navigate(getFilterUrl({ order: e.target.value }));
+                  }}
+                >
+                  <option value={"default"}>Сортирај по цена</option>
+                  <option value={"lowFirst"}>Од ниска кон висока</option>
+                  <option value={"highFirst"}>Од висока кон ниска</option>
+                </Form.Select>
+              </Form.Group>
+              <Button variant="danger">Филтрирај</Button>
+            </Form>
+          </div>
+          <ListGroup
+            id="filteredProductsContainer"
+            variant="success"
+            style={{ width: "95%", margin: "auto", marginTop: "20px" }}
+          >
+            {products.map((item) => (
+              <ListGroup.Item key={item._id}>
+                <div
+                  style={{
+                    display: "flex",
+                    alignItems: "center",
+                    justifyContent: "space-between",
+                  }}
+                >
+                  <div style={{ display: "flex", alignItems: "center" }}>
+                    <img
+                      src={item.image}
+                      alt={item.name}
+                      className="img-fluid rounded img-thumbnail"
+                      style={{ margin: "0px" }}
+                    ></img>
+                    <span style={{ marginLeft: "20px" }}>{item.name}</span>
+                  </div>
+                  <span>{item.category}</span>
+                  <span>{item.subCategory}</span>
+                  <span>{item.countInStock}</span>
+
+                  <span>{item.price} ден</span>
+                  <Button
+                    type="button"
+                    variant="primary"
+                    style={{ height: "50px" }}
+                  >
+                    Измени
+                  </Button>
+                </div>
+              </ListGroup.Item>
+            ))}
+          </ListGroup>
+          <div>
+            {[...Array(pages).keys()].map((x) => (
+              <LinkContainer
+                key={x + 1}
+                className="mx-1"
+                to={getFilterUrl({ page: x + 1 })}
+              >
+                <Button
+                  className={Number(page) === x + 1 ? "text-bold" : ""}
+                  variant="light"
+                >
+                  {x + 1}
+                </Button>
+              </LinkContainer>
+            ))}
+          </div>
+          {/*products.map((product) => (
+          <Product key={product.slug} product={product} />
+           ))}
+        </div>
+      )}
+    </div>
+  );
+}
+
+export default ListProducts;
+*/
Index: frontend/src/components/Product.js
===================================================================
--- frontend/src/components/Product.js	(revision ee056633af77f8879114a594a34f49f87fdf0765)
+++ frontend/src/components/Product.js	(revision 55ed1718e29f3bb840f3e7b798f4728e2b431499)
@@ -15,7 +15,11 @@
   return (
     <div className="product__container">
-      <Link to={`/product/${product.slug}`}>
-        <div className="product__img">
-          <img src={product.image} alt="product"></img>
+      <Link to={`/product/${product.slug}`} style={{ height: "165.91px" }}>
+        <div className="product__img" style={{ height: "100%" }}>
+          <img
+            src={product.image}
+            alt="product"
+            style={{ height: "100%" }}
+          ></img>
         </div>
       </Link>