Index: src/main/resources/templates/deliveryForPart.html
===================================================================
--- src/main/resources/templates/deliveryForPart.html	(revision feffc2f2cd32d404ed9e1a40029cc8a2c9401475)
+++ src/main/resources/templates/deliveryForPart.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -1,9 +1,3 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Податоци за достава</title>
-</head>
-<body>
+<div>
 <header>
   <h1>Податоци за достава</h1>
@@ -33,4 +27,3 @@
 </main>
 
-</body>
-</html>
+</div>
Index: src/main/resources/templates/filteredParts.html
===================================================================
--- src/main/resources/templates/filteredParts.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
+++ src/main/resources/templates/filteredParts.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -0,0 +1,26 @@
+<div>
+<h1>Резултат од филтерот</h1>
+<a th:href="${'/'}">Врати се на сите производи</a>
+
+<table>
+    <thead>
+    <tr>
+        <th>Name</th>
+        <th>Manufacturer</th>
+        <th>Details</th>
+    </tr>
+    </thead>
+    <tbody>
+    <tr th:each="f : ${filtered}">
+        <td th:text="${f.getPartname()}"></td>
+        <td th:text="${f.getPmname()}"></td>
+        <td>
+            <form th:action="@{'/part/{id}' (id=${f.getPartid()}) }">
+                <button type="submit">Детали</button>
+            </form>
+        </td>
+    </tr>
+    </tbody>
+</table>
+
+</div>
Index: src/main/resources/templates/fragments/header.html
===================================================================
--- src/main/resources/templates/fragments/header.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
+++ src/main/resources/templates/fragments/header.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -0,0 +1,47 @@
+<header>
+  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+    <div class="container">
+      <a class="navbar-brand" href="/">AutoPartz</a>
+      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+              aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+        <span class="navbar-toggler-icon"></span>
+      </button>
+
+      <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+        <ul class="navbar-nav m-auto">
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/products">Продукти</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/services">Сервиси</a>
+          </li>
+        </ul>
+
+        <ul class="nav navbar-nav navbar-right">
+
+          <li class="nav-item">
+            <a class="nav-link" href="#">
+<!--              <th:block th:if="${#request.getRemoteUser() != null}"-->
+<!--                        th:text="${#request.getRemoteUser()}"></th:block>-->
+            </a>
+          </li>
+          <li class="nav-item">
+            <a class="btn btn-success btn-sm ml-3" href="/register">
+              <i class="fa fa-shopping-cart"></i> Регистрирај се
+            </a>
+          </li>
+          <li class="nav-item">
+            <a class="btn btn-light btn-sm ml-3" href="/logout">
+              <i class="fa fa-shopping-cart"></i> Одјави се
+            </a>
+          </li>
+          <li class="nav-item">
+            <a class="btn btn-light btn-sm ml-3" href="/login">
+              <i class="fa fa-shopping-cart"></i> Најави се
+            </a>
+          </li>
+        </ul>
+      </div>
+    </div>
+  </nav>
+</header>
Index: src/main/resources/templates/homepage.html
===================================================================
--- src/main/resources/templates/homepage.html	(revision feffc2f2cd32d404ed9e1a40029cc8a2c9401475)
+++ src/main/resources/templates/homepage.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -1,9 +1,3 @@
-<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
-      lang="en">
-<head>
-    <meta charset="utf-8"/>
-    <title>Почетна</title>
-</head>
-<body>
+<div>
 <header>
     <a th:href="${'/orders/4'}">Мои нарачки</a>
@@ -13,9 +7,23 @@
 <main>
     <h1>Сите производи</h1>
+    <form th:action="@{/filtered}">
+        <label for="cartype"></label><select id="cartype" required name="cartype">
+            <option  th:each="car : ${cars}"
+                     th:text="${car.getCartype()}"
+                     th:value="${car.getCartype()}">
+            </option>
+        </select>
+        <label for="category"></label><select id="category" required name="category">
+            <option  th:each="cat : ${categories}"
+                     th:text="${cat.getCname()}"
+                     th:value="${cat.getCname()}">
+            </option>
+        </select>
+        <button type="submit">Филтрирај</button>
+    </form>
     <table>
         <thead>
         <tr>
             <th>Name</th>
-            <th>Description</th>
             <th>Manufacturer</th>
             <th>Details</th>
@@ -25,5 +33,4 @@
         <tr th:each="part : ${parts}">
             <td th:text="${part.getName()}"></td>
-            <td th:text="${part.getDescription()}"></td>
             <td th:text="${part.getManufacturer().getName()}"></td>
             <td>
@@ -36,4 +43,3 @@
     </table>
 </main>
-</body>
-</html>
+</div>
Index: src/main/resources/templates/login.html
===================================================================
--- src/main/resources/templates/login.html	(revision feffc2f2cd32d404ed9e1a40029cc8a2c9401475)
+++ src/main/resources/templates/login.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -1,12 +1,3 @@
-<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" lang="en">
-<head>
-    <title>Најава</title>
-<!--    <link href="/main.css" rel="stylesheet"/>-->
-    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"/>
-    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
-    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
-    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
-</head>
-<body>
+<div>
 <form th:method="POST" th:action="@{/login}">
     <div class="container">
@@ -26,4 +17,3 @@
 </form>
 <a href="/register" class="btn btn-block btn-light">Регистрирај се</a>
-</body>
-</html>
+</div>
Index: src/main/resources/templates/master-template.html
===================================================================
--- src/main/resources/templates/master-template.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
+++ src/main/resources/templates/master-template.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -0,0 +1,19 @@
+<!DOCTYPE html>
+<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
+<head>
+  <meta charset="UTF-8"/>
+  <title>AutoPartz</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+</head>
+<body>
+<header th:replace="fragments/header"></header>
+
+<section th:include="${bodyContent}" class="container">
+
+</section>
+</body>
+</html>
+
Index: src/main/resources/templates/ordersForUser.html
===================================================================
--- src/main/resources/templates/ordersForUser.html	(revision feffc2f2cd32d404ed9e1a40029cc8a2c9401475)
+++ src/main/resources/templates/ordersForUser.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -1,9 +1,3 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Мои нарачки</title>
-</head>
-<body>
+<div>
 <h1>Мои нарачки</h1>
 <table>
@@ -27,4 +21,3 @@
   </tbody>
 </table>
-</body>
-</html>
+</div>
Index: src/main/resources/templates/partinfo.html
===================================================================
--- src/main/resources/templates/partinfo.html	(revision feffc2f2cd32d404ed9e1a40029cc8a2c9401475)
+++ src/main/resources/templates/partinfo.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -1,9 +1,3 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Детали</title>
-</head>
-<body>
+<div>
 <p th:text="${part.getName()}"></p>
 <p th:text="${part.getDescription()}"></p>
@@ -16,4 +10,3 @@
     <button type="submit">Купи</button>
 </form>
-</body>
-</html>
+</div>
Index: src/main/resources/templates/register.html
===================================================================
--- src/main/resources/templates/register.html	(revision feffc2f2cd32d404ed9e1a40029cc8a2c9401475)
+++ src/main/resources/templates/register.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -1,13 +1,3 @@
-<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" lang="en">
-<head>
-    <title>Login form</title>
-    <!--    <link href="/main.css" rel="stylesheet"/>-->
-    <title>Login</title>
-    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"/>
-    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
-    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
-    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
-</head>
-<body>
+<div>
 <form th:method="POST" th:action="@{/register}">
     <div class="container">
@@ -43,4 +33,3 @@
 </form>
 <a href="/login" class="btn btn-block btn-light">Веќе имате сметка? Најавете се</a>
-</body>
-</html>
+</div>
Index: src/main/resources/templates/repairsForUser.html
===================================================================
--- src/main/resources/templates/repairsForUser.html	(revision feffc2f2cd32d404ed9e1a40029cc8a2c9401475)
+++ src/main/resources/templates/repairsForUser.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -1,9 +1,3 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Мои поправки</title>
-</head>
-<body>
+<div>
 <h1>Мои поправки</h1>
 <table>
@@ -12,5 +6,5 @@
     <th>Датум на нарачка</th>
     <th>Нарачан дел</th>
-    <th>Број на шасија</th>0olji
+    <th>Број на шасија</th>
     <th>Име на сервис</th>
   </tr>
@@ -25,4 +19,3 @@
   </tbody>
 </table>
-</body>
-</html>
+</div>
Index: src/main/resources/templates/reviewsForUser.html
===================================================================
--- src/main/resources/templates/reviewsForUser.html	(revision feffc2f2cd32d404ed9e1a40029cc8a2c9401475)
+++ src/main/resources/templates/reviewsForUser.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
@@ -1,9 +1,3 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Мои критики</title>
-</head>
-<body>
+<div>
 <h1>Мои критики</h1>
 <table>
@@ -25,4 +19,3 @@
   </tbody>
 </table>
-</body>
-</html>
+</div>