Index: app/Http/Controllers/Auth/ForgotPasswordController.php
===================================================================
--- app/Http/Controllers/Auth/ForgotPasswordController.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ app/Http/Controllers/Auth/ForgotPasswordController.php	(revision 65fafc48212f00b75e8964e2536bb39f53b165c8)
@@ -3,4 +3,5 @@
 namespace App\Http\Controllers\Auth;
 
+use App\Helpers\Alert;
 use App\Http\Requests\Auth\ForgotPasswordRequest;
 use App\Models\User;
@@ -33,5 +34,5 @@
         $user->notify(new ForgotPassword($user));
 
-        $request->session()->flash("forgotInfo", "We have sent an email to your inbox.");
+        Alert::flash( "We have sent an email to your inbox", "error");
 
         return redirect()->route("auth.forgotShow");
Index: app/Http/Controllers/Auth/LoginController.php
===================================================================
--- app/Http/Controllers/Auth/LoginController.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ app/Http/Controllers/Auth/LoginController.php	(revision 65fafc48212f00b75e8964e2536bb39f53b165c8)
@@ -3,12 +3,16 @@
 namespace App\Http\Controllers\Auth;
 
+use App\Helpers\Alert;
 use App\Http\Requests\Auth\LoginRequest;
 use App\Models\User;
 use App\Http\Controllers\Controller;
+use App\Notifications\VerifyUser;
+use App\Services\Hashid;
 use Illuminate\Support\Facades\Hash;
+use Illuminate\Support\Str;
 
 class LoginController extends Controller
 {
-    protected $redirectTo = '/dashboard';
+    protected $redirectTo = '/';
 
     public function __construct()
@@ -22,36 +26,39 @@
     }
 
-    public function login(LoginRequest $request)
+    public function login(LoginRequest $request, Hashid $hashid)
     {
         $user = User::whereUsername($request->username)->first();
 
+        if (is_null($user)) {
+            Alert::flash("Please check your credentials", "error");
+            return redirect()->route("auth.login");
+        }
+
         if (!$user->is_active) {
-            $request->session()->flash("isActiveError", "Your account is blocked or its not confirmed yet. Please contact with your system administrator or check your email.");
-            return redirect()->back();
+            Alert::flash("Your account is blocked or its not confirmed yet. Please contact with your system administrator or check your email.", "error");
+            return redirect()->route("auth.login");
         }
 
         if (!Hash::check($request->password, $user->password)) {
-            $request->session()->flash("passwordError", "Your password is incorrect");
-            return redirect()->back()->withInput($request->input());
+            Alert::flash("Your password is incorrect", "error");
+            return redirect()->route("auth.login");
         }
 
-        if (auth()->attempt([
-            "username" => $request->username,
-            "password" => $request->password,
-            "is_active" => true], $request->remember)) {
-
-            $user->is_online = true;
-            $user->save();
-
-            return redirect()->intended('/dashboard');
-        }
-
+        //$user->security_code = rand(10000, 99999);
         if ($user->is_forgot_password) {
             $user->is_forgot_password = false;
         }
 
-        $request->session()->flash("loginError", "An error occurred while login. Please try again later.");
+            $user->security_code = 1234;
+            $user->verify_token = Str::uuid();
+            $user->is_online = true;
+            $user->save();
 
-        return redirect()->back()->withInput($request->input());
+            $user->notify(new VerifyUser($user));
+
+            return redirect()->route("verify-login.index", [
+                "id" => $hashid->encode($user->id),
+                "token" => $user->verify_token
+            ]);
     }
 
Index: app/Http/Controllers/Auth/VerifyLoginController.php
===================================================================
--- app/Http/Controllers/Auth/VerifyLoginController.php	(revision 65fafc48212f00b75e8964e2536bb39f53b165c8)
+++ app/Http/Controllers/Auth/VerifyLoginController.php	(revision 65fafc48212f00b75e8964e2536bb39f53b165c8)
@@ -0,0 +1,31 @@
+<?php
+
+namespace App\Http\Controllers\Auth;
+
+use App\Helpers\Alert;
+use App\Http\Controllers\Controller;
+use App\Models\User;
+use Illuminate\Http\Request;
+use App\Services\Hashid;
+
+class VerifyLoginController extends Controller
+{
+    public function index()
+    {
+        return view("auth.verify-login");
+    }
+
+    public function verify(Request $request, Hashid $hashid, $id, $token)
+    {
+        $user = User::findOrFail($hashid->decode($id));
+
+        if($request->code != $user->security_code) {
+            Alert::flash("Security code is wrong", "error");
+            return redirect()->back();
+        }
+
+        auth()->login($user);
+
+        return redirect()->route("dashboard.index");
+    }
+}
Index: app/Http/Controllers/Auth/VerifyNewEmailController.php
===================================================================
--- app/Http/Controllers/Auth/VerifyNewEmailController.php	(revision 7304c7f4e9d471fa8974c193daec4fdd86dabe58)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<?php
-
-namespace App\Http\Controllers\Auth;
-
-use App\Http\Requests\Auth\VerifyNewEmailRequest;
-use App\Models\User;
-use App\Http\Controllers\Controller;
-
-class VerifyNewEmailController extends Controller
-{
-    public function __construct()
-    {
-        $this->middleware("checkVerifyNewEmail");
-    }
-
-    public function create($id, $token)
-    {
-        return view("auth.verify")->with([
-            "id" => $id,
-            "token" => $token
-        ]);
-    }
-
-    public function verify(VerifyNewEmailRequest $request, $id, $token)
-    {
-        $user = User::find($id);
-        $user->is_active = true;
-        $user->save();
-
-        return redirect()->route("auth.login");
-    }
-}