Index: src/Clients/Angular/finki-chattery/src/app/app.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app.component.html	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ src/Clients/Angular/finki-chattery/src/app/app.component.html	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -1,4 +1,5 @@
 <main>
   <mat-progress-bar class="global-loader" [class.hidden]="!(loader.isLoading | async)" mode="indeterminate"></mat-progress-bar>
+  <app-header></app-header>
   <router-outlet></router-outlet>
 </main>
Index: src/Clients/Angular/finki-chattery/src/app/app.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app.module.ts	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ src/Clients/Angular/finki-chattery/src/app/app.module.ts	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -10,5 +10,4 @@
 import { CoreModule } from './core/core.module';
 import { translateConfiguration, TranslateFromJsonService } from './shared-app/services';
-import { SharedMaterialModule } from './shared-material/shared-material.module';
 
 @NgModule({
@@ -18,5 +17,4 @@
     AppRoutingModule,
     CoreModule,
-    SharedMaterialModule,
     BrowserAnimationsModule,
     ToastrModule.forRoot(),
Index: src/Clients/Angular/finki-chattery/src/app/core/core.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/core.module.ts	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ src/Clients/Angular/finki-chattery/src/app/core/core.module.ts	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -11,5 +11,4 @@
 import { GUARDS } from './guards/guards';
 import { LoaderInterceptor } from './interceptors/loader.interceptor';
-import { SERVICES } from './services/services';
 import { reducers } from './state';
 import { TokenInterceptor } from './interceptors/token.interceptor';
@@ -21,5 +20,4 @@
   declarations: [COMPONENTS],
   providers: [
-    SERVICES,
     GUARDS,
     { provide: HTTP_INTERCEPTORS, useClass: LoaderInterceptor, multi: true },
@@ -39,5 +37,5 @@
     EffectsModule.forRoot([QuestionEffects, CategoriesEffects])
   ],
-  exports: [HttpClientModule, COMPONENTS]
+  exports: [HttpClientModule, SharedAppModule, COMPONENTS]
 })
 export class CoreModule {}
Index: src/Clients/Angular/finki-chattery/src/app/core/services/redirect.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/services/redirect.service.ts	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ src/Clients/Angular/finki-chattery/src/app/core/services/redirect.service.ts	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -20,4 +20,6 @@
           switch (currentUser.userType) {
             case ApplicationUserType.Student:
+              this.router.navigateByUrl(`questioning/preview`);
+
               break;
             case ApplicationUserType.Teacher:
Index: src/Clients/Angular/finki-chattery/src/app/core/services/services.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/services/services.ts	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ src/Clients/Angular/finki-chattery/src/app/core/services/services.ts	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -1,1 +1,0 @@
-export const SERVICES: any[] = [];
Index: src/Clients/Angular/finki-chattery/src/app/core/state/category-state/category.actions.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/category-state/category.actions.ts	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/category-state/category.actions.ts	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -1,4 +1,5 @@
 import { HttpErrorResponse } from '@angular/common/http';
 import { Action } from '@ngrx/store';
+import { CategoryStateViewModel } from 'src/app/shared-app/models';
 import { CategoryStateResponse } from './category-state.models';
 
@@ -20,5 +21,5 @@
   readonly type = CategoryActionTypes.GetCategoriesStateSuccess;
 
-  constructor(public payload: CategoryStateResponse[]) {}
+  constructor(public payload: CategoryStateViewModel[]) {}
 }
 
Index: src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.html	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ 	(revision )
@@ -1,20 +1,0 @@
-<mat-toolbar color="">
-    <div fxHide.gt-xs>
-        <!--<button mat-icon-button>
-            <mat-icon>menu</mat-icon>
-        </button>-->
-    </div>
-    <div>
-        <a routerLink="**">Logo</a>
-    </div>
-    <div fxFlex fxLayout fxLayoutAlign="end" fxHide.xs>
-        <ul fxLayout fxLayoutGap="15px" class="navigation-items">
-            <li>
-                <a routerLink="/owner">Add Question</a>
-            </li>
-            <li>
-                <a routerLink="/account">My profile</a>
-            </li>
-        </ul>
-    </div>
-  </mat-toolbar>
Index: src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.scss
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.scss	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ 	(revision )
@@ -1,23 +1,0 @@
-a {
-    text-decoration: none;
-    color: grey;
-    padding: 7px;
-}
-a:hover, a:active{
-    background: lightgray;
-    padding: 7px;
-    border-radius: 3px;
-}
-.navigation-items{
-    list-style-type: none;
-    padding: 0;
-    margin: 0;
-}
-mat-toolbar{
-    border-radius: 2px;
-}
-@media(max-width: 959px){
-    mat-toolbar{
-        border-radius: 0px;
-    }
-}
Index: src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.ts	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ 	(revision )
@@ -1,15 +1,0 @@
-import { Component, OnInit } from '@angular/core';
-
-@Component({
-  selector: 'app-header',
-  templateUrl: './header.component.html',
-  styleUrls: ['./header.component.scss']
-})
-export class HeaderComponent implements OnInit {
-
-  constructor() { }
-
-  ngOnInit(): void {
-  }
-
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/components.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/components.ts	(revision eb21f00224c325159cf7cf78fe77aa63bf5fae0c)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/components.ts	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -2,4 +2,5 @@
 import { FileUploadComponent } from './generic/file-upload/file-upload.component';
 import { FormErrorComponent } from './generic/form-error/form-error.component';
+import { HeaderComponent } from './generic/header/header.component';
 import { VoteComponent } from './generic/vote/vote.component';
 import { QuestionPreviewComponent } from './question/question-preview/question-preview.component';
@@ -12,4 +13,5 @@
   QuestionPreviewComponent,
   VoteComponent,
-  StudentCardComponent
+  StudentCardComponent,
+  HeaderComponent
 ];
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -0,0 +1,5 @@
+<mat-toolbar>
+  <span>FinkiChattery</span>
+  <span class="right"></span>
+  <app-button *ngIf="loggedIn" (action)="logout()" [buttonType]="ButtonType.CallToAction">Logout</app-button>
+</mat-toolbar>
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.scss
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.scss	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.scss	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -0,0 +1,3 @@
+.right {
+  flex: 1 1 auto;
+}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts	(revision 68a1d2f1facb77076627916bb0ee66afefba7b30)
@@ -0,0 +1,23 @@
+import { Component, OnInit } from '@angular/core';
+import { AuthService } from 'src/app/core/services';
+import { ButtonType } from '../button/button.models';
+
+@Component({
+  selector: 'app-header',
+  templateUrl: './header.component.html',
+  styleUrls: ['./header.component.scss']
+})
+export class HeaderComponent implements OnInit {
+  ButtonType = ButtonType;
+  loggedIn = false;
+
+  constructor(private auth: AuthService) {}
+
+  ngOnInit(): void {
+    this.auth.isLoggedIn().subscribe((loggedIn) => (this.loggedIn = loggedIn));
+  }
+
+  logout(): void {
+    this.auth.logout();
+  }
+}